Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.message
Interface IdeMessageType

public interface IdeMessageType

Defines the integer constants with the types of messages.

Author:
  TogetherSoft

Field Summary
`final static int` | `CRITICAL` The critical type.
`final static int` | `CRITICAL_MODAL` The critical type (a message will be displayed in a modal dialog).
`final static int` | `ERROR` The error type.
`final static int` | `ERROR_MODAL` The error type (a message will be displayed in a modal dialog).
`final static int` | `INFORMATION` The information type.
`final static int` | `INFORMATION_MODAL` The information type (a message will be displayed in a modal dialog).
`final static int` | `MODAL` Request to show message box instead of text in the message pane.
`final static int` | `WARNING` The warning type.
`final static int` | `WARNING_MODAL` The warning type (a message will be displayed in a modal dialog).

Field Detail

### CRITICAL

    public final static int CRITICAL

  The critical type. A message will be displayed in the message pane.

### CRITICAL_MODAL

    public final static int CRITICAL_MODAL

  The critical type (a message will be displayed in a modal dialog).

### ERROR

    public final static int ERROR

  The error type. A message will be displayed in the message pane.

### ERROR_MODAL

    public final static int ERROR_MODAL

  The error type (a message will be displayed in a modal dialog).

### INFORMATION

    public final static int INFORMATION

  The information type. A message will be displayed in the message pane.

### INFORMATION_MODAL

    public final static int INFORMATION_MODAL

  The information type (a message will be displayed in a modal dialog).

### MODAL

    public final static int MODAL

  Request to show message box instead of text in the message pane.

### WARNING

    public final static int WARNING

  The warning type. A message will be displayed in the message pane.

### WARNING_MODAL

    public final static int WARNING_MODAL

  The warning type (a message will be displayed in a modal dialog).

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD